<?php
// ===================================================================================================
//                           _  __     _ _
//                          | |/ /__ _| | |_ _  _ _ _ __ _
//                          | ' </ _` | |  _| || | '_/ _` |
//                          |_|\_\__,_|_|\__|\_,_|_| \__,_|
//
// This file is part of the Kaltura Collaborative Media Suite which allows users
// to do with audio, video, and animation what Wiki platforms allow them to do with
// text.
//
// Copyright (C) 2006-2022  Kaltura Inc.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// @ignore
// ===================================================================================================

/**
 * @namespace
 */
namespace Kaltura\Client\Enum;

/**
 * @package Kaltura
 * @subpackage Client
 */
class Language extends \Kaltura\Client\EnumBase
{
	const ABQ = "Abaza";
	const AB = "Abkhazian";
	const ABE = "Abnaki Western";
	const ABU = "Abure";
	const ACN = "Achang";
	const ACE = "Achinese";
	const ACT = "Achterhooks";
	const ACV = "Achumawi";
	const ADJ = "Adioukrou";
	const ADY = "Adyghe; Adygei";
	const ADT = "Adynyamathanha";
	const AAL = "Afade";
	const AA = "Afar";
	const AF = "Afrikaans";
	const AGQ = "Aghem";
	const AGX = "Aghul";
	const AGU = "Aguacateco";
	const AGR = "Aguaruna";
	const AIN = "Ainu (Japan)";
	const AKK = "Akkadian";
	const AKL = "Aklanon";
	const AKU = "Akum";
	const AKZ = "Alabama";
	const SQ = "Albanian";
	const ALN = "Albanian (Gheg)";
	const ALS = "Albanian (Tosk)";
	const ALE = "Aleut";
	const ALG = "Algonquian languages";
	const ALQ = "Algonquin";
	const ALT = "Altai (Southern)";
	const AM = "Amharic";
	const RME = "Angloromani";
	const APJ = "Apache (Jicarilla)";
	const APW = "Apache (Western)";
	const AR = "Arabic";
	const ARB = "Arabic (standard)";
	const B_T = "Arabic Tunisian Spoken";
	const ARC = "Aramaic";
	const SAM = "Aramaic Samaritan";
	const ARP = "Arapaho";
	const ARN = "Araucanian";
	const ARI = "Arikara";
	const HY = "Armenian";
	const RUP = "Aromanian";
	const AS_ = "Assamese";
	const ASB = "Assiniboine";
	const AII = "Assyrian Neo-Aramaic";
	const AST = "Asturian";
	const ATH = "Athapascan languages";
	const ATJ = "Atikamekw";
	const AWA = "Awadhi";
	const AY = "Aymara";
	const AZ = "Azerbaijani";
	const BCR = "Babine";
	const BFQ = "Badaga";
	const BDJ = "Bai";
	const BAN = "Balinese";
	const BCC = "Balochi Southern";
	const BFT = "Balti";
	const BAL = "Baluchi";
	const BAS = "Basa (Cameroon)";
	const BA = "Bashkir";
	const EU = "Basque";
	const BAR = "Bavarian";
	const BEA = "Beaver";
	const BEJ = "Beja";
	const BEM = "Bemba (Zambia)";
	const BN = "Bengali (Bangla)";
	const BEW = "Betawi";
	const KAP = "Bezhta";
	const BHB = "Bhili";
	const BHO = "Bhojpuri";
	const DZ = "Bhutani";
	const BH = "Bihari";
	const BIK = "Bikol";
	const BIN = "Bini";
	const BPY = "Bishnupriya Manipuri";
	const BI = "Bislama";
	const BR = "Breton";
	const BUG = "Buginese";
	const BG = "Bulgarian";
	const BUA = "Buriat";
	const MY = "Burmese";
	const BE = "Byelorussian (Belarusian)";
	const CAD = "Caddo";
	const KM = "Cambodian";
	const YUE = "Cantonese";
	const CRX = "Carrier";
	const CAF = "Carrier Southern";
	const CA = "Catalan";
	const CHC = "Catawba";
	const CAY = "Cayuga";
	const CEB = "Cebuano";
	const CHG = "Chagatai";
	const CLD = "Chaldean Neo-Aramaic";
	const CHR = "Cherokee";
	const CHY = "Cheyenne";
	const CIC = "Chickasaw";
	const CLC = "Chilcotin";
	const ZH = "Chinese";
	const CHN = "Chinook jargon";
	const CHP = "Chipewyan";
	const CIW = "Chippewa";
	const CHO = "Choctaw";
	const CAA = "Chor";
	const CKT = "Chukot";
	const CIM = "Cimbrian";
	const CLM = "Clallam Klallam";
	const COJ = "Cochimi";
	const COC = "Cocopa";
	const KSH = "Colognian";
	const COM = "Comanche";
	const SWB = "Comorian";
	const COO = "Comox";
	const COP = "Coptic";
	const CO = "Corsican";
	const CR = "Cree";
	const MUS = "Creek";
	const CRH = "Crimean Tatar";
	const HR = "Croatian";
	const CUP = "Cupeo";
	const CS = "Czech";
	const DAK = "Dakota";
	const DA = "Danish";
	const DAR = "Dargwa";
	const PRD = "Dari (Persian)";
	const GBZ = "Dari Zoroastrian";
	const DHV = "Dehu";
	const DEL = "Delaware";
	const DIN = "Dinka";
	const DOI = "Dogri (generic)";
	const DGR = "Dogrib";
	const DLG = "Dolgan";
	const DOH = "Dong";
	const DUA = "Duala";
	const DNG = "Dungan";
	const NL = "Dutch";
	const DYU = "Dyula";
	const EEE = "E";
	const EGL = "Emilian";
	const EN = "English";
	const EN_US = "English (American)";
	const EN_GB = "English (British)";
	const ENM = "English Middle (1100-1500)";
	const MYV = "Erzya";
	const EO = "Esperanto";
	const ET = "Estonian";
	const EVE = "Even";
	const EVN = "Evenki";
	const FO = "Faeroese";
	const FAX = "Fala";
	const FAN = "Fang (Equatorial Guinea)";
	const FA = "Farsi";
	const FJ = "Fiji";
	const FIL = "Filipino";
	const FI = "Finnish";
	const FIT = "Finnish (Tornedalen)";
	const FON = "Fon";
	const FRP = "Franco-Prove";
	const FRK = "Frankish";
	const FR = "French";
	const FR_CA = "French (Canada)";
	const FY = "Frisian";
	const FRR = "Frisian Northern";
	const FUR = "Friulian";
	const FVR = "Fur";
	const GAA = "Ga";
	const GV = "Gaelic (Manx)";
	const GD = "Gaelic (Scottish)";
	const GAG = "Gagauz";
	const GL = "Galician";
	const GAN = "Gan";
	const GEZ = "Geez";
	const KA = "Georgian";
	const DE = "German";
	const GEH = "German Hutterite";
	const PDC = "German Pennsylvania";
	const GIL = "Gilbertese";
	const NIV = "Gilyak Nivkh";
	const GIT = "Gitxsan";
	const EL = "Greek";
	const GRC = "Greek Ancient (to 1453)";
	const KL = "Greenlandic";
	const GN = "Guarani";
	const GU = "Gujarati";
	const GWI = "Gwichin";
	const HAI = "Haida";
	const HNN = "Hainanese";
	const HAS = "Haisla";
	const HAK = "Hakka";
	const HUR = "Halkomelem";
	const HAA = "Han";
	const HNI = "Hani";
	const HA = "Hausa";
	const HAW = "Hawaiian";
	const IW = "Hebrew";
	const HE = "Hebrew";
	const HEI = "Heiltsuk";
	const HID = "Hidatsa";
	const HIL = "Hiligaynon";
	const HI = "Hindi";
	const HMN = "Hmong";
	const HKK = "Hokkien";
	const HOP = "Hopi";
	const CZH = "Huizhou Chinese";
	const HU = "Hungarian";
	const IS = "Icelandic";
	const KPO = "Ikposo";
	const ILO = "Iloko";
	const SMN = "Inari Sami";
	const IN = "Indonesian";
	const ID = "Indonesian";
	const IZH = "Ingrian";
	const INH = "Ingush";
	const IA = "Interlingua";
	const IE = "Interlingue";
	const IKT = "Inuinnaqtun";
	const IU = "Inuktitut";
	const IK = "Inupiak";
	const GA = "Irish";
	const IRO = "Iroquoian languages";
	const IT = "Italian";
	const ITL = "Itelmen";
	const JA = "Japanese";
	const JV = "Javanese";
	const CJY = "Jinyu Chinese";
	const KAJ = "Jju";
	const JCT = "Judeo-Crimean Tatar";
	const JGE = "Judeo-Georgian";
	const JUT = "Jutish";
	const KBD = "Kabardian";
	const KEA = "Kabuverdianu";
	const KAB = "Kabyle";
	const KFR = "Kachchi";
	const KJV = "Kaikavian literary language (Kajkavian)";
	const XAL = "Kalmyk Oirat";
	const KN = "Kannada";
	const KSK = "Kansa";
	const KRC = "Karachay-Balkar";
	const KIM = "Karagas";
	const KDR = "Karaim";
	const KAA = "Karakalpak";
	const KRL = "Karelian";
	const KS = "Kashmiri";
	const CSB = "Kashubian";
	const KKZ = "Kaska";
	const KAW = "Kawi";
	const KK = "Kazakh";
	const KJH = "Khakas";
	const KLJ = "Khalaj Turkic";
	const KCA = "Khanty";
	const KHA = "Khasi";
	const KXM = "Khmer Northern";
	const KIC = "Kickapoo";
	const RW = "Kinyarwanda (Ruanda)";
	const KIO = "Kiowa";
	const KY = "Kirghiz";
	const RN = "Kirundi (Rundi)";
	const TLH = "Klingon tlhIngan-Hol";
	const KFA = "Kodava";
	const KOI = "Komi-Permyak";
	const KOK = "Konkani (generic)";
	const KNN = "Konkani (specific)";
	const GOM = "Konkani Goan";
	const KO = "Korean";
	const KPY = "Koryak";
	const KOS = "Kosraean";
	const AVK = "Kotava";
	const KPE = "Kpelle";
	const DIH = "Kumiai";
	const KUM = "Kumyk";
	const KU = "Kurdish";
	const KUT = "Kutenai";
	const KWK = "Kwakiutl";
	const GDM = "Laal";
	const LLD = "Ladin";
	const LAD = "Ladino";
	const LAH = "Lahnda";
	const LHU = "Lahu";
	const LBE = "Lak";
	const LKI = "Laki";
	const LKT = "Lakota";
	const LO = "Laothian";
	const LA = "Latin";
	const LV = "Latvian (Lettish)";
	const LZZ = "Laz";
	const LEZ = "Lezghian";
	const LIJ = "Ligurian";
	const LIL = "Lillooet";
	const LIF = "Limbu";
	const LI = "Limburgish ( Limburger)";
	const LN = "Lingala";
	const LT = "Lithuanian";
	const JBO = "Lojban";
	const LOM = "Loma (Liberia)";
	const LMO = "Lombard";
	const NDS = "Low German Low Saxon";
	const LOZ = "Lozi";
	const LUA = "Luba-Lulua";
	const LUQ = "Lucumi";
	const LUD = "Ludian";
	const SMJ = "Lule Sami";
	const LUN = "Lunda";
	const LUO = "Luo (Kenya and Tanzania)";
	const LUT = "Lushootseed";
	const LB = "Luxembourgish (Letzeburgesch)";
	const MK = "Macedonian";
	const MAD = "Madurese";
	const MAG = "Magahi";
	const MAI = "Maithili";
	const MG = "Malagasy";
	const MS = "Malay";
	const ML = "Malayalam";
	const PQM = "Malecite-Passamaquoddy";
	const MT = "Maltese";
	const MNC = "Manchu";
	const MID = "Mandaic";
	const MHQ = "Mandan";
	const CMN = "Mandarin Chinese";
	const MNS = "Mansi";
	const MI = "Maori";
	const MRW = "Maranao";
	const MR = "Marathi";
	const CHM = "Mari (Russia)";
	const MWR = "Marwari";
	const MAS = "Masai";
	const MFY = "Mayo";
	const MNI = "Meitei";
	const MEN = "Mende (Sierra Leone)";
	const MEZ = "Menominee";
	const CRG = "Michif";
	const MIC = "Micmac";
	const MNP = "Min Bei Chinese";
	const CDO = "Min Dong Chinese";
	const MIN = "Minangkabau";
	const XMF = "Mingrelian";
	const MWL = "Mirandese";
	const MOH = "Mohawk";
	const MDF = "Moksha";
	const MO = "Moldavian";
	const MNW = "Mon";
	const MN = "Mongolian";
	const MOE = "Montagnais";
	const MFE = "Morisyen";
	const MOS = "Mossi";
	const MXI = "Mozarabic";
	const MU = "Multilingual";
	const MTQ = "Muong";
	const NAQ = "Nama (Namibia)";
	const GLD = "Nanai";
	const NSK = "Naskapi";
	const NA = "Nauru";
	const NAP = "Neapolitan";
	const NE = "Nepali";
	const NEW_ = "Newari Nepal Bhasa";
	const NIO = "Nganasan";
	const NCG = "Nisgaa";
	const NIU = "Niuean";
	const ZXX = "No linguistic content";
	const NOG = "Nogai";
	const NON = "Norse Old";
	const NSO = "Northern Sotho Pedi Sepedi";
	const NO = "Norwegian";
	const NOV = "Novial";
	const NYM = "Nyamwezi";
	const NYO = "Nyoro";
	const NYS = "Nyungah";
	const OC = "Occitan";
	const OJC = "Ojibwa Central";
	const OJG = "Ojibwa Eastern";
	const OJB = "Ojibwa Northwestern";
	const OJS = "Ojibwa Severn";
	const OJW = "Ojibwa Western";
	const OJ = "Ojibwe, Ojibwa";
	const OKA = "Okanagan";
	const RYU = "Okinawan Central";
	const ANG = "Old English";
	const ONE = "Oneida";
	const ONO = "Onondaga";
	const OR_ = "Oriya";
	const OM = "Oromo (Afan, Galla)";
	const OTW = "Ottawa";
	const PPI = "Paipai";
	const PAU = "Palauan";
	const PAM = "Pampanga";
	const PAG = "Pangasinan";
	const PAP = "Papiamento";
	const PS = "Pashto (Pushto)";
	const PRP = "Persian";
	const PRS = "Persian (Dari)";
	const PFL = "Pfaelzisch";
	const PCD = "Picard";
	const PMS = "Piedmontese";
	const MYP = "Pirah";
	const PIH = "Pitcairn-Norfolk";
	const PDT = "Plautdietsch";
	const PL = "Polish";
	const PNT = "Pontic";
	const PT = "Portuguese";
	const PT_BR = "Portuguese (Brazil)";
	const POT = "Potawatomi";
	const PRG = "Prussian";
	const FUC = "Pulaar";
	const PA = "Punjabi";
	const QXQ = "Qashqai";
	const ALC = "Qawasqar";
	const QU = "Quechua";
	const QUC = "Quich Central";
	const RAP = "Rapanui";
	const RAR = "Rarotongan";
	const QTZ = "Reserved for local use.";
	const RM = "Rhaeto-Romance";
	const RGN = "Romagnol";
	const RMF = "Romani Kalo Finnish";
	const RMO = "Romani Sinte";
	const RO = "Romanian";
	const RUO = "Romanian Istro";
	const RUQ = "Romanian Megleno";
	const ROM = "Romany";
	const RCF = "Runion Creole French";
	const RU = "Russian";
	const RUE = "Rusyn";
	const ACF = "Saint Lucian Creole French";
	const SAH = "Sakha";
	const SLR = "Salar";
	const STR = "Salish Straits";
	const SAL = "Salishan languages";
	const SJD = "Sami Kildin";
	const SMI = "Sami languages";
	const SM = "Samoan";
	const SG = "Sangro";
	const SA = "Sanskrit";
	const SAT = "Santali";
	const SRM = "Saramaccan";
	const SDC = "Sardinian Sassarese";
	const STQ = "Saterland Frisian";
	const SXU = "Saxon Upper";
	const SCO = "Scots";
	const SEC = "Sechelt";
	const TRV = "Seediq";
	const SEK = "Sekani";
	const SEL = "Selkup";
	const SEE = "Seneca";
	const SR = "Serbian";
	const SH = "Serbo-Croatian";
	const SEI = "Seri";
	const ST = "Sesotho";
	const TN = "Setswana";
	const SJW = "Shawnee";
	const SN = "Shona";
	const CJS = "Shor";
	const SHH = "Shoshoni";
	const SHS = "Shuswap";
	const SCN = "Sicilian";
	const SID = "Sidamo";
	const BLA = "Siksika";
	const SZL = "Silesian";
	const SD = "Sindhi";
	const SI = "Sinhalese";
	const SS = "Siswati";
	const SMS = "Skolt Sami";
	const SCS = "Slavey North";
	const XSL = "Slavey South";
	const SK = "Slovak";
	const SL = "Slovenian";
	const SO = "Somali";
	const SNK = "Soninke";
	const DSB = "Sorbian Lower";
	const HSB = "Sorbian Upper";
	const SMA = "Southern Sami";
	const TCE = "Southern Tutchone";
	const ES = "Spanish";
	const ES_XL = "Spanish (Latin America)";
	const SRN = "Sranan";
	const STO = "Stoney";
	const XSV = "Sudovian";
	const SUX = "Sumerian";
	const SU = "Sundanese";
	const SVA = "Svan";
	const SWG = "Swabian";
	const SW = "Swahili (Kiswahili)";
	const SV = "Swedish";
	const SWL = "Swedish Sign Language";
	const GSW = "Swiss German Alemannic Alsatian";
	const SYR = "Syriac";
	const TAB = "Tabassaran";
	const SHY = "Tachawit";
	const SHI = "Tachelhit";
	const TL = "Tagalog";
	const TBW = "Tagbanwa";
	const TGX = "Tagish";
	const THT = "Tahltan";
	const TDD = "Tai Na";
	const ZH_TW = "Taiwanese Mandarin";
	const TG = "Tajik";
	const TLY = "Talysh";
	const TTQ = "Tamajaq Tawallammat";
	const TAQ = "Tamasheq";
	const TZM = "Tamazight Central Atlas";
	const TA = "Tamil";
	const TAR = "Tarahumara Central";
	const TTT = "Tat Muslim";
	const TT = "Tatar";
	const TE = "Telugu";
	const TEO = "Teo Chew";
	const TET = "Tetum";
	const TH = "Thai";
	const NOD = "Thai (Northern)";
	const TTS = "Thai Northeastern";
	const THP = "Thompson";
	const BO = "Tibetan";
	const TIG = "Tigre";
	const TI = "Tigrinya";
	const TLI = "Tlingit";
	const TCX = "Toda";
	const OOD = "Tohono Oodham";
	const TPI = "Tok Pisin";
	const TO = "Tonga";
	const TOG = "Tonga (Nyasa)";
	const DDO = "Tsez";
	const TSI = "Tsimshian";
	const TS = "Tsonga";
	const TCY = "Tulu";
	const TUM = "Tumbuka";
	const MZB = "Tumzabt";
	const TPN = "Tupinamb";
	const TUV = "Turkana";
	const TR = "Turkish";
	const OTA = "Turkish Ottoman";
	const TK = "Turkmen";
	const TUS = "Tuscarora";
	const TVL = "Tuvalu";
	const TYV = "Tuvinian";
	const TW = "Twi";
	const UBY = "Ubykh";
	const UDI = "Udi";
	const UDM = "Udmurt";
	const UG = "Uighur";
	const UK = "Ukrainian";
	const UN = "Undefined";
	const UR = "Urdu";
	const UUM = "Urum";
	const UZ = "Uzbek";
	const VEC = "Venetian";
	const VEP = "Veps";
	const VI = "Vietnamese";
	const VO = "Volapuk";
	const VOR = "Voro";
	const VOT = "Votic";
	const VRO = "Vro";
	const AUC = "Waorani";
	const WAR = "Waray (Philippines)";
	const CY = "Welsh";
	const PES = "Western Farsi";
	const AMW = "Western Neo-Aramaic";
	const WIY = "Wiyot";
	const WO = "Wolof";
	const WUU = "Wu Chinese";
	const WYM = "Wymysorys";
	const XH = "Xhosa";
	const AME = "Yanesha";
	const JI = "Yiddish";
	const YI = "Yiddish";
	const YO = "Yoruba";
	const ZAI = "Zapotec Isthmus";
	const DJE = "Zarma";
	const ZU = "Zulu";
}

